/* Linker script to configure memory regions.
 * Need modifying for a specific board.
 *   FLASH.ORIGIN: starting address of flash
 *   FLASH.LENGTH: length of flash
 *   RAM.ORIGIN: starting address of RAM bank 0
 *   RAM.LENGTH: length of RAM bank 0
 */
MEMORY
{
  FLASH (rx) : ORIGIN = 0x08000000, LENGTH = 0x80000 /* 512K */
  RAM (rwx) : ORIGIN = 0x20000000, LENGTH = 0x20000 /* 128K */
  EXT_FLASH (rx)  : ORIGIN = 0x60000000, LENGTH = 0x800000 /* 8 MB CFI NOR flash */
}
